NativeAggregateFunction (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.functions

## Class NativeAggregateFunction

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.NativeFunction
    - - org.apache.cassandra.cql3.functions.NativeAggregateFunction

- All Implemented Interfaces:
    AssignmentTestable, AggregateFunction, Function

      public abstract class NativeAggregateFunction
      extends NativeFunction
      implements AggregateFunction

  Base class for the `AggregateFunction` native classes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.functions.AggregateFunction

      `AggregateFunction.Aggregate`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, name, returnType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NativeAggregateFunction(java.lang.String name, AbstractType<?> returnType, AbstractType<?>... argTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAggregate()` Checks whether the function is an aggregate function or not.

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.NativeFunction

      `isNative`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, equals, getFunctions, hashCode, hasReferenceTo, name, returnType, testAssignment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.AggregateFunction

      `newAggregate`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `argTypes, getFunctions, hasReferenceTo, isNative, name, returnType`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Constructor Detail

    - #### NativeAggregateFunction

          protected NativeAggregateFunction(java.lang.String name,
                                            AbstractType<?> returnType,
                                            AbstractType<?>... argTypes)

  - ### Method Detail

    - #### isAggregate

          public final boolean isAggregate()

      Description copied from interface: `Function`
      Checks whether the function is an aggregate function or not.
      Specified by:
        `isAggregate` in interface `Function`
      Returns:
        `true` if the function is an aggregate function, `false` otherwise.

Copyright © 2018 The Apache Software Foundation